<?php

namespace KupShop\UserOauthBundle\Security;

use KupShop\UserBundle\Security\User;

class OauthUser extends User
{
    protected $provider;
    protected $clientID;

    public function __construct(
        int $id,
        string $email,
        ?string $provider = null,
        ?string $clientID = null,
        array $roles,
        $kupshopUser,
    ) {
        parent::__construct($id, $email, null, $roles, $kupshopUser);

        $this->id = $id;
        $this->email = $email;
        $this->provider = $provider;
        $this->clientID = $clientID;
        $this->roles = $roles;
        $this->kupshopUser = $kupshopUser;
    }

    public function getPassword(): string
    {
        return '';
    }

    public function getProvider()
    {
        return $this->provider;
    }

    public function getClientID()
    {
        return $this->clientID;
    }
}
